/*fonts*/
@import url('https://fonts.cdnfonts.com/css/edo');
@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@400;700&display=swap');

/*scrolling*/
html {
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
    background-color: #1f1e1e;
  }
  
  ::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: #5d5b5b;
    -webkit-transition: opacity 0.2s;
  }
  ::-webkit-scrollbar-thumb:hover {
    opacity: 1;
  }
  
  ::-webkit-scrollbar-track {
    background-color: transparent;
  }
  

/*animations*/
@keyframes nav-load {
  0% {
    opacity: 0;
    filter: blur(5px);
    transform: translateY(-50%);
  }
  100% {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0);
  }
}
@keyframes nav-up {
  0% {
    filter: blur(5px);
    transform: translateY(50%);
  }
  100% {
    filter: blur(0);
    transform: translateY(0);
  }
}
.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateY(100px);
  transition: all 1s ease-in-out;
}

.loadvid {
  opacity: 0;
  filter: blur(5px);
  transform: translateX(-100%);
  transition: all 1s ease-in-out;
}

iframe:nth-child(2) {
  transition-delay: 200ms;
}
iframe:nth-child(3) {
  transition-delay: 400ms;
}
iframe:nth-child(5) {
  transition-delay: 200ms;
}
iframe:nth-child(6) {
  transition-delay: 400ms;
}
iframe:nth-child(8) {
  transition-delay: 200ms;
}
iframe:nth-child(9) {
  transition-delay: 400ms;
}

.revealvid {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}

@media (prefers-reduced-motion) {
  .hidden {
    transition: none;
  }

}

.hidden:nth-child(5) {
  transition-delay: 200ms;
}

.hidden:nth-child(22) {
  transition-delay: 200ms;
}
.hidden:nth-child(23) {
  transition-delay: 400ms;
}
.hidden:nth-child(24) {
  transition-delay: 600ms;
}
.hidden:nth-child(25) {
  transition-delay: 800ms;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateY(0);
}

/*text and buttons*/
h1 {
    width: 300px;
    color: white;
    text-shadow: h-shadow v-shadow blur-radius color;
    font-family: 'Edo', sans-serif;
    font-size: 100px;
    text-shadow: 2px 2px 5px black;
    padding: 5px;    
    margin: 0 auto;               
}
h2 {
    width: 300px;
    color: white;
    text-shadow: h-shadow v-shadow blur-radius color;
    font-family: 'Edo', sans-serif;
    font-size: 50px;
    text-shadow: 2px 2px 5px black;
    padding: 5px;
    text-align: center;
    width: 1000px;
    margin: 0 auto;
}
p {
    width: 300px;
    color: white;
    text-shadow: h-shadow v-shadow blur-radius color;
    font-family: 'League Spartan', sans-serif;
    font-size: 25px;
    text-shadow: 2px 2px 5px black;
    padding: 5px;
    text-align: center;
    width: 1000px;
    margin: 0 auto;
}
  
/*Link Bar*/
ul {
    position: fixed;
    top: 0px;
    z-index: 998;
    border: none;
    list-style: none;
    list-style-type: none;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 75px;
    overflow: hidden;
    background-color: transparent;
    text-align: center;
    transition: height 0.5s ease-in-out;
  }
  ul.shrunk {
    background-color: black;
  }
  
li {
    cursor: pointer;
    color: white;
    text-shadow: h-shadow v-shadow blur-radius color;
    font-family: 'League Spartan', sans-serif;
    font-size: 50px;
    text-shadow: 2px 2px 5px black;
    float: left;
    padding: 20px;
    animation: nav-up 500ms ease-in-out;
    transition: all 0.5s ease-in-out;
  }
  li.shrunk {
    font-size: 40px;
  }

  a {
    text-decoration: none; /* Remove underline */
    color: inherit; /* Inherit color from parent element (prevents purple on click) */
  }

.navigation {
  display: none;
  position: fixed;
  top: 75px;
  left: 0;
  width: 500px;
  height: 100%;
  list-style: none;
  padding: 0;
  background-color: #272727;
} 
.navigation.show {
  display: block;
}
.navigation li {
  float: none;
  font-size: 30px;
  border: none;
  border-radius: 50px;
  padding: 25px;
  height: 30px;
}
.navigation li:hover {
  cursor: pointer;
  background-color: #5d5b5b;
}

/*body componets*/
body {
    font-family: 'League Spartan', sans-serif;
    background-color: rgb(0, 0, 0);
    margin: 0;
    text-align: center;
  }

#logo {
  float: left;
  margin-left: 30px;  /* Adjust this value for desired spacing */
    width: 90px;
    height: 90px;
    z-index: 999;
    transition: all .2s ease-in-out;
  animation: nav-load 500ms ease-in-out;
}
#logo.shrunk {
  height: 75px;
  width: 75px;
}

#bar {
  float: left;
  margin-left: 20px;
  width: 75px;
  height: 75px;
  transition: all .2s ease-in-out;
  animation: nav-load 500ms ease-in-out;
  border-radius: 50%;
}
#bar.shrunk {
  height: 65px;
  width: 65px;
}
#bar:hover {
  cursor: pointer;
  border-color: #5d5b5b;
}
#NRKey {
  position: fixed;
  z-index: 999;
  width: 250px;
  height: 200px;
  bottom: 775px;
  left: 50px;
  transition: all .2s ease-in-out;
  animation: nav-load 500ms ease-in-out;
}
#NRKey.shrunk {
  width: 240px;
  height: 190px;
}
#NRKey:hover {
  transform: scale(1.05);
}
#logo:hover {
  transform: scale(1.05);
}

/*select*/
#select {
  position: relative; /* Enables positioning for video */
  height: 1000px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.video-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden; /* Clip overflowing video content */
}

.video-container video {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Scales video to fill container */
}
#select > div { /* Targets all child divs of #select */
  color: white;
  font-size: 25px;
}
#select > div {
  /* Other styles for box divs */
  transition: transform 0.2s ease-in-out; /* Smooth transition effect */
}

#select > div:hover {
  transform: translateY(-5px); /* Moves the box up 5px on hover */
}

#box {
  bottom: 200px;
  width: 200px;
  background-color: #272727;
  border-radius: 10px;
  padding: 20px;
  margin: 10px;
  height: 300px;
  display: flex;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  align-items: center;
}
#box:hover {
  cursor: pointer;
  background-color: #5d5b5b;
}
#boxart {
  width: 100px;
  height: 100px;
  padding: 10px;
}

/*about*/
#about {
  height: 750px;
}

#me {
  border-radius: 50%;
  width: 400px;
  height: 400px;
  border: 5px solid white;
  transition: all .2s ease-in-out;
}

#me:hover {
  transform: scale(.95);
}

#synthv {
  height: 750px;
}

#SV {
  width: 750px;
  transition: all .2s ease-in-out;

}
#SV:hover {
  transform: scale(1.05);
}

/*showcase*/
#showcase {
  min-height: 1000px;
}

iframe {
  padding: 10px;
}

/*QA*/
#QA {
  min-height: 750px;
}

#socials {
  min-height: 750px;
  justify-content: center;
}

#scrollButton {
  position: fixed;  /* Make it stay in place while scrolling */
  bottom: 20px;  /* Adjust distance from bottom */
  right: 20px;  /* Adjust distance from right */
  width: 50px;  /* Adjust button width */
  height: 50px;  /* Adjust button height */
  border-radius: 50%;  /* Make it circular */
  background-color: rgb(37, 37, 37);  /* Adjust background color */
  color: white;  /* Adjust text color */
  font-size: 18px;  /* Adjust font size */
  cursor: pointer;  /* Make it look clickable */
  z-index: 99;  /* Ensure button stays above other elements */
  border: none;
}

button {
  background-color: black;
  border: 1px solid white;
  border-radius: 50px;
  padding: 10px;
  color: white;
  font-size: 25px;
  font-weight: bold;
  font-family: 'League Spartan';
  width: 900px;
  height: 75px;
  margin: 10px;
  text-align: center;
}
button:hover {
  cursor: pointer;
  background-color: white;
  border: 1px solid white;
  color: black;
  transition: all .5s ease-in-out;
  transform: scale(0.95);
}
#followb {
  background-color:#272727;
  border: 1px solid white;
  padding: 10px;
  font-size: 25px;
  height: 50px;
  width: 400px;
  display: flex; /* Makes button and text behave like a single line */
  align-items: center;
  justify-content: center;
  text-align: center;
}
#followb:hover {
  cursor: pointer;
  background-color: #5d5b5b;
  
}

#sbox {
  width: 400px;
  background-color: #272727;
  border-radius: 10px;
  padding: 20px;
  height: 500px;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-direction: column;
}


/* footer and social media links*/
footer {
  background-color: black;
  height: 200px;
}

.social-media {
  display: flex;
  justify-content: center;
  align-items: center;
}

#yt {
  width: 40px;
  height: 40px;
  padding: 10px;
  transition: all .2s ease-in-out;
}

#yt:hover {
  transform: scale(.95);
}

#x {
  width: 70px;
  height: 50px;
  padding: 10px;
  transition: all .2s ease-in-out;
}
#x:hover {
  transform: scale(.95);
}
#pp {
  width: 50px;
  height: 40px;
  padding: 10px;
  transition: all .2s ease-in-out;
}
#pp:hover {
  transform: scale(.95);
}

#insta {
  width: 40px;
  height: 40px;
  padding: 10px;
  transition: all .2s ease-in-out;
}
#insta:hover {
  transform: scale(.95);
}

#pat {
  width: 50px;
  height: 50px;
  padding: 10px;
  transition: all .2s ease-in-out;
}
#pat:hover {
  transform: scale(.95);
}
#sm {
  width: 50px;
  height: 50px;
  padding: 10px;
  transition: all .2s ease-in-out;
  border-radius: 50%; /* For a circle */
  border: 1px solid white;
  padding: 10px;
  margin: 10px;
}
#sm:hover {
  transform: scale(.95);
}

@media (max-width: 768px) {
  /* Styles to be applied to screens on mobile */
  h1, h2, p {
    width: 90%;
    margin: 0 auto;
    word-break: break-word;
  }
  li {
    opacity: 0;
  }
  .navigation li {
    opacity: 1;
  }
  #logo {
    opacity: 0;
  }
  #NRKey {
    opacity: 0;
  }
  #select {
    width: 100%;
  }
  #box {
    opacity: 0;
    cursor: default;
    pointer-events: none;
  }
  #about {
    width: 100%;
  }
  body {
    text-align: center;
  }
  #SV {
    width: 100%;
  }
  #synthv {
    width: 100%;
  }
  #showcase {
    width: 100%;
  }
  #QA {
    width: 100%;
  }
  #socials {
    width: 100%;
  }
  button {
    width: 100%;
  }
  footer {
    width: 100%;
  }
}
